package com.sa.ibiz.demo.demo.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import java.util.Map;
import org.apache.ibatis.annotations.Select;
import com.sa.ibiz.demo.demo.domain.OrgUser;
import com.sa.ibiz.demo.demo.service.dto.OrgUserSearchFilter;
import org.springframework.cache.annotation.CacheEvict;
import org.springframework.cache.annotation.Cacheable;
import java.io.Serializable;
import com.baomidou.mybatisplus.core.toolkit.Constants;
public interface OrgUserMapper extends BaseMapper<OrgUser>{
    @CacheEvict( value="entity",key = "'OrgUser:'+#p0.orguserid")
    void updateOne(@Param("orguser") OrgUser orguser);
    List<OrgUser> searchCurOrgSector(@Param("srf") OrgUserSearchFilter searchfilter,@Param("ew") Wrapper<OrgUser> wrapper) ;
    Page<OrgUser> searchCurOrgSector(IPage page, @Param("srf") OrgUserSearchFilter searchfilter, @Param("ew") Wrapper<OrgUser> wrapper) ;
    List<OrgUser> searchCurOrgSectorBIZLeader(@Param("srf") OrgUserSearchFilter searchfilter,@Param("ew") Wrapper<OrgUser> wrapper) ;
    Page<OrgUser> searchCurOrgSectorBIZLeader(IPage page, @Param("srf") OrgUserSearchFilter searchfilter, @Param("ew") Wrapper<OrgUser> wrapper) ;
    List<OrgUser> searchDefault(@Param("srf") OrgUserSearchFilter searchfilter,@Param("ew") Wrapper<OrgUser> wrapper) ;
    Page<OrgUser> searchDefault(IPage page, @Param("srf") OrgUserSearchFilter searchfilter, @Param("ew") Wrapper<OrgUser> wrapper) ;
    List<OrgUser> searchCurOrg(@Param("srf") OrgUserSearchFilter searchfilter,@Param("ew") Wrapper<OrgUser> wrapper) ;
    Page<OrgUser> searchCurOrg(IPage page, @Param("srf") OrgUserSearchFilter searchfilter, @Param("ew") Wrapper<OrgUser> wrapper) ;
    List<OrgUser> searchUserOrgSector(@Param("srf") OrgUserSearchFilter searchfilter,@Param("ew") Wrapper<OrgUser> wrapper) ;
    Page<OrgUser> searchUserOrgSector(IPage page, @Param("srf") OrgUserSearchFilter searchfilter, @Param("ew") Wrapper<OrgUser> wrapper) ;
    List<OrgUser> searchCurOrgUser(@Param("srf") OrgUserSearchFilter searchfilter,@Param("ew") Wrapper<OrgUser> wrapper) ;
    Page<OrgUser> searchCurOrgUser(IPage page, @Param("srf") OrgUserSearchFilter searchfilter, @Param("ew") Wrapper<OrgUser> wrapper) ;
    List<OrgUser> searchUserOrg(@Param("srf") OrgUserSearchFilter searchfilter,@Param("ew") Wrapper<OrgUser> wrapper) ;
    Page<OrgUser> searchUserOrg(IPage page, @Param("srf") OrgUserSearchFilter searchfilter, @Param("ew") Wrapper<OrgUser> wrapper) ;
    List<OrgUser> searchCurOrgSectorLeader(@Param("srf") OrgUserSearchFilter searchfilter,@Param("ew") Wrapper<OrgUser> wrapper) ;
    Page<OrgUser> searchCurOrgSectorLeader(IPage page, @Param("srf") OrgUserSearchFilter searchfilter, @Param("ew") Wrapper<OrgUser> wrapper) ;
    @Select("${sql}")
    List<Map<String,Object>> selectRow( @Param("sql")String sql);
    @Override
    @Cacheable( value="entity",key = "'OrgUser:'+#p0")
    OrgUser selectById(Serializable id);
    @Override
    @CacheEvict( value="entity",key = "'OrgUser:'+#p0.orguserid")
    int updateById(@Param(Constants.ENTITY) OrgUser entity);
    @Override
    @CacheEvict( value="entity",key = "'OrgUser:'+#p0.orguserid")
    int insert(OrgUser entity);
    @Override
    @CacheEvict( value="entity",key = "'OrgUser:'+#p0")
    int deleteById(Serializable id);
}